<?php

namespace Seka\Portal\Modul\Vzdelavanie\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

/**
 * Class KategoriaUpdateRequest
 *
 * @package Seka\Portal\Modul\Vzdelavanie\Http\Requests
 */
class KategoriaUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'nazov' => [
                'required',
                'min:3',
                'max:255',
                Rule::unique('vzdelavanie_kniznica_kategorie')->ignore(request('vzdKnzncKategoriaId'), 'id'),
            ],
            'obrazok' => [
                'required',
                Rule::unique('vzdelavanie_kniznica_kategorie')->ignore(request('vzdKnzncKategoriaId'), 'id'),
            ],
        ];
    }

    /**
     * @return array
     */
    public function messages(): array
    {
        return [
            'nazov.required' => 'Názov kategórie je vyžadovaný',
            'nazov.min' => 'Názov kategórie musí obsahovať minimálne :min znakov',
            'nazov.max' => 'Názov kategórie môže obsahovať maximálne :max znakov',
            'nazov.unique' => 'Názov kategórie musí byť unikátny',
            'obrazok.required' => 'Obrázok je vyžadovaná',
            'obrazok.unique' => 'Obrázok nesmie existovať',
        ];
    }
}
